Retirements API

Endpoints para retirements

Modifica el estado de un retirement

PATCH /internal/admin/retirements/:retirement_id

Modificacion

Parameters

Name Description
next_state Nuevo estado, opciones: process, liquidate, cancel

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

PATCH /internal/admin/retirements/100

Body

{"next_state":"process"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"71da7e0914b11661034b50d9d5f1f6c8"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: a5e390cf-632c-45fb-9c27-f4f408dfff8e
X-Runtime: 0.043826
Vary: Origin
Content-Length: 30

Status

200 OK

Body

{
  "current_state": "processing"
}